.rainbow {
    background: linear-gradient(90deg, #4158D0, #C850C0 30%, #FFCC70);
    background: -webkit-linear-gradient(0deg, #4158D0, #C850C0 30%, #FFCC70);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }

.cold {
    display: inline-block;
    background: linear-gradient(180deg, #0072b4 0%, #7bc0be 72%, #afebea 100%);
    background: -webkit-linear-gradient(-90deg, #0072b4 0%, #7bc0be 72%, #afebea 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }

.hot {
    display: inline-block;
    background: linear-gradient(135deg, #fed878 0%, #fa505e 100%);
    background: -webkit-linear-gradient(-45deg, #fed878 0%, #fa505e 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }

.purple {
    display: inline-block;
    background: linear-gradient(90deg, rgba(194, 57, 248, 1), rgba(48, 53, 97, 1));
    background: -webkit-linear-gradient(90deg, rgba(194, 57, 248, 1), rgba(48, 53, 97, 1));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }

.gold {
    display: inline-block;
    background: linear-gradient(90deg, #a38131 0%, #e7c76d 33%, #ffe6c5 62%, #e3c05d 83%, #9d874e 100%);
    background: -webkit-linear-gradient(0deg, #a38131 0%, #e7c76d 33%, #ffe6c5 62%, #e3c05d 83%, #9d874e 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }

.cute {
    display: inline-block;
    background: linear-gradient(0deg, #fac0d3 20%, #97fef9 89%);
    background: -webkit-linear-gradient(90deg, #fac0d3 20%, #97fef9 89%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }

.metal_red {
    text-align:center;
    line-height:0.95em;
    font-weight:bold;
    color: transparent;
    background: repeating-linear-gradient(0deg, #C62828 0.1em, #EF5350 0.2em, #FFEBEE 0.3em, #EF5350 0.4em, #C62828 0.5em); 
    -webkit-background-clip: text;
  }

.metal_purple {
    text-align:center;
    line-height:0.95em;
    font-weight:bold;
    color: transparent;
    background: repeating-linear-gradient(0deg, #C239F8 0.1em, #EF5350 0.2em, #FFEBEE 0.3em, #EF5350 0.4em, #C239F8 0.5em); 
    -webkit-background-clip: text;
  }

.metal_darkpurple {
    text-align:center;
    line-height:0.95em;
    font-weight:bold;
    color: transparent;
    background: repeating-linear-gradient(0deg, #8239a8 0.1em, #C239F8 0.2em, #FFEBEE 0.3em, #C239F8 0.4em, #8239a8 0.5em); 
    -webkit-background-clip: text;
  }

.metal_void {
    text-align:center;
    line-height:0.95em;
    font-weight:bold;
    color: transparent;
    background: repeating-linear-gradient(0deg, #8239a8 0.1em, #C239F8 0.2em, #C239F8 0.3em, #C239F8 0.4em, #8239a8 0.5em); 
    -webkit-background-clip: text;
  }

.metal_green {
    text-align:center;
    line-height:0.95em;
    font-weight:bold;
    color: transparent;
    background: repeating-linear-gradient(0deg, #1cce49 0.1em, #90ef90 0.2em, #c1fbcf 0.3em, #90ef90 0.4em, #1cce49 0.5em); 
    -webkit-background-clip: text;
  }

.metal_cyan {
    text-align:center;
    line-height:0.95em;
    font-weight:bold;
    color: transparent;
    background: repeating-linear-gradient(0deg, 	#00FFFF 0.1em, #9090ef 0.2em, #AAFFFF 0.3em, #9090ef 0.4em, 	#00FFFF 0.5em); 
    -webkit-background-clip: text;
  }

.rainbowanimation {
    display: inline-block;
    background: linear-gradient(45deg, #FA8BFF 16%, #2BD2FF 57%, #2BFF88 90%);
    background: -webkit-linear-gradient(45deg, #FA8BFF 16%, #2BD2FF 57%, #2BFF88 90%);
    background-size: 300% auto;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation: gradientEffect 2.5s infinite alternate;
  }
  
  @keyframes gradientEffect {
    from {background-position: left}
    to {background-position: right}
  }
  
.rainbow_bg{
  background: linear-gradient(to right,#e60000,#f39800,#fff100,#009944,#0068b7,#1d2088,#920783,#e60000) 0 / 200%;
  height: 80px;
  animation: 5s rainbow_bg linear infinite;
}
@keyframes rainbow_bg{
    100% { background-position: 200%; }
}

.rainbow_font{
    background: linear-gradient(to right,#e60000,#f39800,#fff100,#009944,#0068b7,#1d2088,#920783);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: bold;
    display: inline-block;
}

.gaming {
  /* 横長で虹色を作る */
  background: linear-gradient(to right, Magenta, yellow, Cyan, Magenta) 0% center/200%;
  animation: gaming 2s linear infinite;
}
@keyframes gaming {
  /* backgroundを移動させる */
  100% { background-position-x: 200%; }
}

.gaming_font {
  /* 横長で虹色を作る */
  background: linear-gradient(to right, Magenta, yellow, Cyan, Magenta) 0% center/200%;
  animation: gaming 2s linear infinite;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: bold;
  display: inline-block;
}
@keyframes gaming {
  /* backgroundを移動させる */
  100% { background-position-x: 200%; }
}

.ubernl{
  background-color: #32CD32;
  font-weight: bold;
}

.vip{
  color: #5555BE;
}

.christmas {
  text-align:center;
  line-height:0.95em;
  font-weight:bold;
  color: transparent;
  background: repeating-linear-gradient(0deg, #1cce49 0.1em, #EF5350 0.2em, #c1fbcf 0.3em, #EF5350 0.4em, #1cce49 0.5em); 
  -webkit-background-clip: text;
}

.roar {
  text-align:center;
  line-height:0.95em;
  font-weight:bold;
  color: transparent;
  background: repeating-linear-gradient(0deg, #9370DB 0.1em, #9370DB 0.15em, #00bb00 0.3em, #9370DB 0.45em, #9370DB 0.5em); 
  -webkit-background-clip: text;
}

.flash {
	animation: flash 1s linear infinite;
	width: 50px;
	height: 50px;
	background: #0091EA;
}

@keyframes flash {

	0%,
	50%,
	100% {
		opacity: 0;
	}

	35% {
		opacity: 1;
		background: #7fff00;
	}

	65% {
		opacity: 1;
		background: #0091EA;
	}
}

.fortless {
  background: linear-gradient(to bottom, red, black);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.plus_five {
  font-weight: bold; /* テキストを太字にします */
  color: #ffffff; /* テキストの色を白にします */
  background: linear-gradient(to right, red, orange); /* テキストの背景色にグラデーションを追加します */
  -webkit-background-clip: text; /* 背景クリップをテキストに設定します */
  -webkit-text-fill-color: transparent; /* テキストの塗りつぶし色を透明にします */
  text-shadow: 2px 2px 4px #999; /* テキストに影を追加します */
}
